=== rbutil/chinachippatcher/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#
CFLAGS += -g -Wall

OUTPUT = chinachippatcher

LIBSOURCES = chinachip.c
SOURCES = $(LIBSOURCES) main.c

include ../libtools.make
