=== debian/changelog ===
rockboxutility (1.4.0-0mx150+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 16 May 2016 13:02:18 -0700

rockboxutility (1.3.1-0mcr120+1) mepis; urgency=low

  * Rebuild for MEPIS 12.0 community repository.
  * debian/rules:
    - compress deb packages with xz.
    - switch to tiny debhelper rules file, remove cdbs as build-depend.
  * debian/control: change section to sound.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 29 Sep 2013 15:44:12 -0700

rockboxutility (1.2.6-0mlrepo1) mepis; urgency=low

  * Initial build for MEPIS 8.0

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Sat, 8 May 2010 16:38:41 -0400
