=== debian/control ===
Source: rockboxutility
Section: utils
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Timothy E. Harris <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>= 9),
               libqt4-dev,
               libusb-1.0-0-dev | libusb-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.rockbox.org/wiki/RockboxUtility

Package: rockboxutility
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: festival | espeak | flite
Description: Rockbox firmware installation utility.
 .
 RockboxUtility is an easy to use Qt-based firmware installer for Rockbox.
 Rockbox is an open source firmware for mp3 players, adding extra file type
 support, games and themes.
 .
 Rockbox runs well on these players, has a complete manual, and is supported by
 the installer: 
 .
  Apple: iPod 1g through 5.5g, iPod Mini, iPod Nano 1g.
  Archos: Jukebox 5000, 6000, Studio, Recorder, FM Recorder, Recorder V2 
  and Ondio.
  Cowon: Audio X5, X5V, X5L, M5, M5L, M3 and M3L.
  iriver: iHP100 series, H100 series, H300 series and H10 series 
  Olympus: M:Robe 100 
  Packard Bell: Vibe 500  
  SanDisk: Sansa c200, e200 and e200R series, Fuze, Clip, Clip+ and Clip Zip 
  Toshiba: Gigabeat X and F series
 .
 Unstable ports
 .
 Rockbox runs on these players, but is incomplete, less usable or has problems
 that limit it to advanced users:
 .
    Apple: iPod Nano 2g
    Cowon: D2
    HiFi E.T: MA9
    HiFiMAN: HM-601, HM-602, HM-603, HM-801
    MPIO: HD200
    Olympus: M:Robe 500, M:robe 100
    Philips: GoGear SA9200, GoGear HDD16x0 and HDD63x0
    Samsung: YP-R0, YH-820, YH-920 and YH-925
    SanDisk: Sansa Fuze+
    Toshiba: Gigabeat S 
 
Package: rockboxutility-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         rockboxutility (= ${binary:Version})
Description: Rockbox installation utility (debug package)
 This package contains the Rockbox installation utility debugging symbols.
