=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS := -O--sourcedirectory=rbutil
%:
	dh $@ --parallel

override_dh_clean:
	dh_clean
	rm -rf rbutil/rbutilqt/build rbutil/rbutilqt/lang/*.qm
	$(MAKE) -C rbutil/mkamsboot clean

override_dh_strip:
	dh_strip --dbg-package=rockboxutility-dbg

override_dh_builddeb:
	dh_builddeb -- -Z xz
